SystemOrganization addCategory: #'Gs-CRM'!

Object subclass: #CRMContact
	instanceVariableNames: 'name phone email description'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gs-CRM'!

!CRMContact methodsFor: 'as yet unclassified' stamp: 'GregorSchwake 12/13/2012 19:18'!
contactName

	"Name of contact"
	
	^name! !

!CRMContact methodsFor: 'as yet unclassified' stamp: 'GregorSchwake 12/13/2012 19:13'!
description

	"Further information about contact"
	
	^description! !

!CRMContact methodsFor: 'as yet unclassified' stamp: 'GregorSchwake 12/13/2012 19:13'!
email

	"Contact's email address"
	
	^email! !

!CRMContact methodsFor: 'as yet unclassified' stamp: 'GregorSchwake 12/13/2012 19:12'!
phone

	"Phone number of contact"
	
	^phone! !

Object subclass: #CRMDirection
	instanceVariableNames: 'name contact'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gs-CRM'!

!CRMDirection methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:15'!
contact

	"Contact for this direction - an instance of CRMContact"
	^contact! !

!CRMDirection methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:18'!
directionName

	"Name of this direction, e.g. ITA"
	^name! !

Object subclass: #CRMSchool
	instanceVariableNames: 'url description type directions name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gs-CRM'!

!CRMSchool methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:03'!
description

	"School's description"
	
	^description! !

!CRMSchool methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:05'!
directions

	"Educational directions like informatics, mechatronic etc."
	
	^directions! !

!CRMSchool methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:17'!
schoolName

	"Name of school"
	
	^name! !

!CRMSchool methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:04'!
type

	"Type of school"
	
	^type! !

!CRMSchool methodsFor: 'accessing' stamp: 'GregorSchwake 12/13/2012 19:03'!
url

	"School's website"
	^url! !
